import request from '@/utils/request'

// 查询主播限时置顶列表
export function listAnchorTop(query) {
  return request({
    url: '/cai/anchorTop/list',
    method: 'get',
    params: query
  })
}

// 查询主播限时置顶详细
export function getAnchorTop(id) {
  return request({
    url: '/cai/anchorTop/' + id,
    method: 'get'
  })
}

export function getAnchorTopByUserCode(usercode) {
  return request({
    url: '/cai/anchorTop/getAnchorTopByUserCode',
    method: 'get',
    params: {'usercode': usercode}
  })
}


// 新增主播限时置顶
export function addAnchorTop(data) {
  return request({
    url: '/cai/anchorTop',
    method: 'post',
    data: data
  })
}

// 修改主播限时置顶
export function updateAnchorTop(data) {
  return request({
    url: '/cai/anchorTop',
    method: 'put',
    data: data
  })
}

// 删除主播限时置顶
export function delAnchorTop(id) {
  return request({
    url: '/cai/anchorTop/' + id,
    method: 'delete'
  })
}
